"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _theme = require("../../contexts/theme");
var _ThemedText = require("../texts/ThemedText");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const ModularView = ({
  title,
  subtitle,
  content
}) => {
  const {
    borderRadius,
    ColorPallet
  } = (0, _theme.useTheme)();
  const styles = _reactNative.StyleSheet.create({
    container: {
      borderRadius,
      backgroundColor: ColorPallet.notification.info,
      margin: 20,
      padding: 20
    },
    content: {
      marginTop: 10
    }
  });
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.container
  }, /*#__PURE__*/_react.default.createElement(_ThemedText.ThemedText, {
    variant: "headingFour"
  }, title), /*#__PURE__*/_react.default.createElement(_ThemedText.ThemedText, null, subtitle), typeof content === 'string' ? /*#__PURE__*/_react.default.createElement(_ThemedText.ThemedText, {
    style: styles.content
  }, content) : content);
};
var _default = exports.default = ModularView;
//# sourceMappingURL=ModularView.js.map