"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getOnboardingScreens = void 0;
var _stack = require("@react-navigation/stack");
var _navigators = require("../types/navigators");
const getOnboardingScreens = (t, ScreenOptionsDictionary, components) => [{
  name: _navigators.Screens.Splash,
  component: components.Splash,
  options: {
    ..._stack.TransitionPresets.ModalFadeTransition,
    title: t('Screens.Splash'),
    ...ScreenOptionsDictionary[_navigators.Screens.Splash]
  }
}, {
  name: _navigators.Screens.Preface,
  component: components.Preface,
  options: {
    ..._stack.TransitionPresets.SlideFromRightIOS,
    title: t('Screens.Preface'),
    ...ScreenOptionsDictionary[_navigators.Screens.Preface]
  }
}, {
  name: _navigators.Screens.UpdateAvailable,
  component: components.UpdateAvailableScreen,
  options: {
    ...ScreenOptionsDictionary[_navigators.Screens.UpdateAvailable],
    ..._stack.TransitionPresets.SlideFromRightIOS,
    title: t('Screens.UpdateAvailable')
  }
}, {
  name: _navigators.Screens.Onboarding,
  children: components.OnboardingScreen,
  options: () => ({
    ..._stack.TransitionPresets.SlideFromRightIOS,
    title: t('Screens.Onboarding'),
    headerLeft: () => false,
    ...ScreenOptionsDictionary[_navigators.Screens.Onboarding]
  })
}, {
  name: _navigators.Screens.Terms,
  options: () => ({
    ..._stack.TransitionPresets.SlideFromRightIOS,
    title: t('Screens.Terms'),
    headerLeft: () => false,
    ...ScreenOptionsDictionary[_navigators.Screens.Terms]
  }),
  component: components.Terms
}, {
  name: _navigators.Screens.CreatePIN,
  children: components.CreatePINScreen,
  initialParams: {},
  options: () => ({
    ..._stack.TransitionPresets.SlideFromRightIOS,
    title: t('Screens.CreatePIN'),
    headerLeft: () => false,
    ...ScreenOptionsDictionary[_navigators.Screens.CreatePIN]
  })
}, {
  name: _navigators.Screens.NameWallet,
  options: () => ({
    title: t('Screens.NameWallet'),
    headerLeft: () => false,
    ...ScreenOptionsDictionary[_navigators.Screens.NameWallet]
  }),
  component: components.NameWallet
}, {
  name: _navigators.Screens.UseBiometry,
  options: () => ({
    ..._stack.TransitionPresets.SlideFromRightIOS,
    title: t('Screens.Biometry'),
    headerLeft: () => false,
    ...ScreenOptionsDictionary[_navigators.Screens.UseBiometry]
  }),
  component: components.useBiometry
}, {
  name: _navigators.Screens.UsePushNotifications,
  component: components.PushNotification,
  options: () => ({
    ..._stack.TransitionPresets.SlideFromRightIOS,
    title: t('Screens.UsePushNotifications'),
    headerLeft: () => false,
    ...ScreenOptionsDictionary[_navigators.Screens.UsePushNotifications]
  })
}, {
  name: _navigators.Screens.Developer,
  component: components.Developer,
  options: () => ({
    title: t('Screens.Developer'),
    headerBackAccessibilityLabel: t('Global.Back'),
    ...ScreenOptionsDictionary[_navigators.Screens.Developer]
  })
}, {
  name: _navigators.Screens.EnterPIN,
  children: components.EnterPINScreen,
  options: () => ({
    title: t('Screens.EnterPIN'),
    headerShown: true,
    headerLeft: () => false,
    rightLeft: () => false,
    ...ScreenOptionsDictionary[_navigators.Screens.EnterPIN]
  })
}, {
  name: _navigators.Screens.AttemptLockout,
  component: components.AttemptLockout,
  options: () => ({
    headerShown: true,
    headerLeft: () => null,
    title: t('Screens.AttemptLockout'),
    ...ScreenOptionsDictionary[_navigators.Screens.AttemptLockout]
  })
}];
exports.getOnboardingScreens = getOnboardingScreens;
//# sourceMappingURL=OnboardingScreens.js.map