"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactI18next = require("react-i18next");
var _reactNative = require("react-native");
var _reactNativeSafeAreaContext = require("react-native-safe-area-context");
var _Button = _interopRequireWildcard(require("../components/buttons/Button"));
var _BulletPoint = _interopRequireDefault(require("../components/inputs/BulletPoint"));
var _theme = require("../contexts/theme");
var _testable = require("../utils/testable");
var _ThemedText = require("../components/texts/ThemedText");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const PINExplainer = ({
  continueCreatePIN
}) => {
  const {
    t
  } = (0, _reactI18next.useTranslation)();
  const {
    ColorPallet,
    TextTheme,
    Assets
  } = (0, _theme.useTheme)();
  const style = _reactNative.StyleSheet.create({
    safeAreaView: {
      flex: 1,
      backgroundColor: ColorPallet.brand.primaryBackground
    },
    scrollViewContentContainer: {
      padding: 20,
      flexGrow: 1
    },
    imageContainer: {
      alignItems: 'center',
      marginBottom: 30
    },
    footer: {
      paddingHorizontal: 20,
      paddingVertical: 10
    }
  });
  const imageDisplayOptions = {
    fill: ColorPallet.notification.infoText,
    height: 150,
    width: 150
  };
  return /*#__PURE__*/_react.default.createElement(_reactNativeSafeAreaContext.SafeAreaView, {
    style: style.safeAreaView,
    edges: ['bottom', 'left', 'right']
  }, /*#__PURE__*/_react.default.createElement(_reactNative.ScrollView, {
    contentContainerStyle: style.scrollViewContentContainer
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, null, /*#__PURE__*/_react.default.createElement(_ThemedText.ThemedText, {
    variant: "headingTwo"
  }, t('PINCreate.Explainer.PrimaryHeading')), /*#__PURE__*/_react.default.createElement(_ThemedText.ThemedText, {
    style: {
      marginTop: 30,
      marginBottom: 30
    }
  }, /*#__PURE__*/_react.default.createElement(_reactI18next.Trans, {
    i18nKey: "PINCreate.Explainer.PINReminder",
    components: {
      b: /*#__PURE__*/_react.default.createElement(_ThemedText.ThemedText, {
        variant: "bold"
      })
    },
    t: t
  }))), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: style.imageContainer
  }, /*#__PURE__*/_react.default.createElement(Assets.svg.secureCheck, imageDisplayOptions)), /*#__PURE__*/_react.default.createElement(_reactNative.View, null, /*#__PURE__*/_react.default.createElement(_ThemedText.ThemedText, {
    variant: "headingFour"
  }, t('PINCreate.Explainer.WhyNeedPin.Header')), /*#__PURE__*/_react.default.createElement(_ThemedText.ThemedText, {
    style: {
      marginTop: 20,
      marginBottom: 20
    }
  }, t('PINCreate.Explainer.WhyNeedPin.Paragraph')), /*#__PURE__*/_react.default.createElement(_BulletPoint.default, {
    text: t('PINCreate.Explainer.WhyNeedPin.ParagraphList1'),
    textStyle: TextTheme.normal
  }), /*#__PURE__*/_react.default.createElement(_BulletPoint.default, {
    text: t('PINCreate.Explainer.WhyNeedPin.ParagraphList2'),
    textStyle: TextTheme.normal
  }))), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: style.footer
  }, /*#__PURE__*/_react.default.createElement(_Button.default, {
    title: t('Global.Continue'),
    accessibilityLabel: t('Global.Continue'),
    testID: (0, _testable.testIdWithKey)('ContinueCreatePIN'),
    onPress: continueCreatePIN,
    buttonType: _Button.ButtonType.Primary
  })));
};
var _default = exports.default = PINExplainer;
//# sourceMappingURL=PINExplainer.js.map