import { OpenId4VcCredentialHolderBinding, OpenId4VciCredentialBindingOptions, OpenId4VciRequestTokenResponse, OpenId4VciResolvedCredentialOffer } from '@credo-ts/openid4vc';
import { Agent, MdocRecord, SdJwtVcRecord, W3cCredentialRecord } from '@credo-ts/core';
export declare const resolveOpenId4VciOffer: ({ agent, data, uri, authorization, }: {
    agent: Agent;
    data?: string;
    uri?: string;
    fetchAuthorization?: boolean;
    authorization?: {
        clientId: string;
        redirectUri: string;
    };
}) => Promise<OpenId4VciResolvedCredentialOffer>;
export declare function acquirePreAuthorizedAccessToken({ agent, resolvedCredentialOffer, txCode, }: {
    agent: Agent;
    resolvedCredentialOffer: OpenId4VciResolvedCredentialOffer;
    txCode?: string;
}): Promise<any>;
export declare const customCredentialBindingResolver: ({ agent, supportedDidMethods, keyType, supportsAllDidMethods, supportsJwk, credentialFormat, supportedCredentialId, resolvedCredentialOffer, pidSchemes, }: Partial<OpenId4VciCredentialBindingOptions> & {
    agent: Agent;
    resolvedCredentialOffer: OpenId4VciResolvedCredentialOffer;
    pidSchemes?: {
        sdJwtVcVcts: Array<string>;
        msoMdocDoctypes: Array<string>;
    };
}) => Promise<OpenId4VcCredentialHolderBinding>;
export declare const receiveCredentialFromOpenId4VciOffer: ({ agent, resolvedCredentialOffer, accessToken, credentialConfigurationIdsToRequest, clientId, pidSchemes, }: {
    agent: Agent;
    resolvedCredentialOffer: OpenId4VciResolvedCredentialOffer;
    accessToken: OpenId4VciRequestTokenResponse;
    credentialConfigurationIdsToRequest?: string[];
    clientId?: string;
    pidSchemes?: {
        sdJwtVcVcts: Array<string>;
        msoMdocDoctypes: Array<string>;
    };
}) => Promise<W3cCredentialRecord | SdJwtVcRecord | MdocRecord>;
//# sourceMappingURL=offerResolve.d.ts.map