import { Attribute, Field } from '@hyperledger/aries-oca/build/legacy';
import { W3cCredentialDisplay } from '../types';
/**
 * Converts a camelCase string to a sentence format (first letter capitalized, rest in lower case).
 * i.e. sanitizeString("helloWorld")  // returns: 'Hello world'
 */
export declare function sanitizeString(str: string): string;
export declare function getHostNameFromUrl(url: string): string;
export declare const buildFieldsFromOpenIDTemplate: (data: {
    [key: string]: unknown;
}) => Array<Field>;
export declare function formatDate(input: string | Date): string;
export declare const getAttributeField: (display: W3cCredentialDisplay, searchKey: string) => Attribute | undefined;
/**
 * Mostly used for mdoc crednetials
 */
export declare function detectImageMimeType(data: Uint8Array): 'image/jpeg' | 'image/jp2' | null;
/**
 * very simple matcher for `yyyy-mm-dd`
 */
export declare function isDateString(value: string): false | RegExpMatchArray | null;
export declare function isW3CProofRequest(type: string): boolean;
export declare function isSdJwtProofRequest(type: string): boolean;
//# sourceMappingURL=utils.d.ts.map