import { TFunction } from 'i18next';
import { StackNavigationOptions, StackScreenProps } from '@react-navigation/stack';
import { ParamListBase, RouteConfig, StackNavigationState } from '@react-navigation/native';
import { Screens, ScreenOptionsType } from '../types/navigators';
import type { StackNavigationEventMap } from '@react-navigation/stack/lib/typescript/src/types';
type ScreenOptions = RouteConfig<ParamListBase, Screens, StackNavigationState<ParamListBase>, StackNavigationOptions, StackNavigationEventMap>;
interface ScreenComponents {
    Splash: React.FC<StackScreenProps<ParamListBase>>;
    Preface: React.FC<StackScreenProps<ParamListBase>>;
    UpdateAvailableScreen: React.FC;
    Terms: React.FC<StackScreenProps<ParamListBase>>;
    NameWallet: React.FC<StackScreenProps<ParamListBase>>;
    useBiometry: React.FC<StackScreenProps<ParamListBase>>;
    PushNotification: React.FC<StackScreenProps<ParamListBase, Screens.UsePushNotifications>>;
    Developer: React.FC<StackScreenProps<ParamListBase>>;
    AttemptLockout: React.FC<StackScreenProps<ParamListBase>>;
    OnboardingScreen: React.FC;
    CreatePINScreen: React.FC;
    EnterPINScreen: React.FC;
}
export declare const getOnboardingScreens: (t: TFunction, ScreenOptionsDictionary: ScreenOptionsType, components: ScreenComponents) => ScreenOptions[];
export {};
//# sourceMappingURL=OnboardingScreens.d.ts.map