import { ViewStyle } from 'react-native';
import { SvgProps } from 'react-native-svg';
export interface ISVGAssets {
    activityIndicator: React.FC<SvgProps>;
    appLockout: React.FC<SvgProps>;
    biometrics: React.FC<SvgProps>;
    contactBook: React.FC<SvgProps>;
    credentialDeclined: React.FC<SvgProps>;
    deleteNotification: React.FC<SvgProps>;
    emptyWallet: React.FC<SvgProps>;
    logo: React.FC<SvgProps>;
    proofRequestDeclined: React.FC<SvgProps>;
    arrow: React.FC<SvgProps>;
    iconCredentialOfferDark: React.FC<SvgProps>;
    iconCredentialOfferLight: React.FC<SvgProps>;
    iconInfoRecievedDark: React.FC<SvgProps>;
    iconInfoRecievedLight: React.FC<SvgProps>;
    iconInfoSentDark: React.FC<SvgProps>;
    iconInfoSentLight: React.FC<SvgProps>;
    iconProofRequestDark: React.FC<SvgProps>;
    iconProofRequestLight: React.FC<SvgProps>;
    preface: React.FC<SvgProps>;
    updateAvailable: React.FC<SvgProps>;
    verifierRequestDeclined: React.FC<SvgProps>;
    noInfoShared: React.FC<SvgProps>;
    wallet: React.FC<SvgProps>;
    checkInCircle: React.FC<SvgProps>;
    credentialCard: React.FC<SvgProps>;
    walletBack: React.FC<SvgProps>;
    walletFront: React.FC<SvgProps>;
    credentialInHand: React.FC<SvgProps>;
    credentialList: React.FC<SvgProps>;
    scanShare: React.FC<SvgProps>;
    secureCheck: React.FC<SvgProps>;
    secureImage: React.FC<SvgProps>;
    informationReceived: React.FC<SvgProps>;
    pushNotificationImg: React.FC<SvgProps>;
    chatLoading: React.FC<SvgProps>;
    historyCardAcceptedIcon: React.FC<SvgProps>;
    historyCardDeclinedIcon: React.FC<SvgProps>;
    historyCardExpiredIcon: React.FC<SvgProps>;
    historyCardRemovedIcon: React.FC<SvgProps>;
    historyCardRevokedIcon: React.FC<SvgProps>;
    historyCardUpdatesIcon: React.FC<SvgProps>;
    historyPinUpdatedIcon: React.FC<SvgProps>;
    historyInformationSentIcon: React.FC<SvgProps>;
    historyInformationNotSentIcon: React.FC<SvgProps>;
    historyConnectionIcon: React.FC<SvgProps>;
    historyConnectionRemovedIcon: React.FC<SvgProps>;
    historyActivateBiometryIcon: React.FC<SvgProps>;
    historyDeactivateBiometryIcon: React.FC<SvgProps>;
    iconChevronRight: React.FC<SvgProps>;
    homeCenterImg: React.FC<SvgProps>;
    iconDelete: React.FC<SvgProps>;
    iconEdit: React.FC<SvgProps>;
    iconWarning: React.FC<SvgProps>;
    iconError: React.FC<SvgProps>;
    tabOneIcon: React.FC<SvgProps>;
    tabOneFocusedIcon: React.FC<SvgProps>;
    tabTwoIcon: React.FC<SvgProps>;
    tabThreeIcon: React.FC<SvgProps>;
    tabThreeFocusedIcon: React.FC<SvgProps>;
}
export interface ISpacing {
    xs: number;
    sm: number;
    md: number;
    lg: number;
    xl: number;
    xxl: number;
}
export interface IFontAttributes {
    fontFamily?: string;
    fontStyle?: 'normal' | 'italic';
    fontSize: number;
    fontWeight?: 'normal' | 'bold' | '100' | '200' | '300' | '400' | '500' | '600' | '700' | '800' | '900';
    color: string;
    lineHeight?: number;
}
export interface IInputAttributes {
    padding?: number;
    borderRadius?: number;
    fontSize?: number;
    backgroundColor?: string;
    color?: string;
    borderWidth?: number;
    borderColor?: string;
}
export interface IInlineInputMessage {
    inlineErrorText: IFontAttributes;
    InlineErrorIcon: React.FC<SvgProps>;
    inlineWarningText: IFontAttributes;
    InlineWarningIcon: React.FC<SvgProps>;
}
export interface IInputs {
    label: IFontAttributes;
    textInput: IInputAttributes;
    inputSelected: IInputAttributes;
    singleSelect: IInputAttributes;
    singleSelectText: IFontAttributes;
    singleSelectIcon: IInputAttributes;
    checkBoxColor: IInputAttributes;
    checkBoxText: IFontAttributes;
}
export interface ITextTheme {
    headingOne: IFontAttributes;
    headingTwo: IFontAttributes;
    headingThree: IFontAttributes;
    headingFour: IFontAttributes;
    normal: IFontAttributes;
    bold: IFontAttributes;
    label: IFontAttributes;
    labelTitle: IFontAttributes;
    labelSubtitle: IFontAttributes;
    labelText: IFontAttributes;
    caption: IFontAttributes;
    title: IFontAttributes;
    headerTitle: IFontAttributes;
    modalNormal: IFontAttributes;
    modalTitle: IFontAttributes;
    popupModalText: IFontAttributes;
    modalHeadingOne: IFontAttributes;
    modalHeadingThree: IFontAttributes;
    settingsText: IFontAttributes;
    inlineErrorText: IFontAttributes;
    inlineWarningText: IFontAttributes;
}
export interface IBrandColors {
    primary: string;
    primaryDisabled: string;
    secondary: string;
    secondaryDisabled: string;
    tertiary: string;
    tertiaryDisabled: string;
    primaryLight: string;
    highlight: string;
    primaryBackground: string;
    secondaryBackground: string;
    tertiaryBackground: string;
    modalPrimary: string;
    modalSecondary: string;
    modalTertiary: string;
    modalPrimaryBackground: string;
    modalSecondaryBackground: string;
    modalTertiaryBackground: string;
    modalIcon: string;
    link: string;
    text: string;
    icon: string;
    headerText: string;
    headerIcon: string;
    buttonText: string;
    tabBarInactive: string;
    unorderedList: string;
    unorderedListModal: string;
    inlineError: string;
    inlineWarning: string;
}
export interface ISemanticColors {
    error: string;
    success: string;
    focus: string;
}
export interface INotificationColors {
    success: string;
    successBorder: string;
    successIcon: string;
    successText: string;
    info: string;
    infoBorder: string;
    infoIcon: string;
    infoText: string;
    warn: string;
    warnBorder: string;
    warnIcon: string;
    warnText: string;
    error: string;
    errorBorder: string;
    errorIcon: string;
    errorText: string;
    popupOverlay: string;
}
export interface IGrayscaleColors {
    black: string;
    darkGrey: string;
    mediumGrey: string;
    lightGrey: string;
    veryLightGrey: string;
    white: string;
}
export interface IErrorColors {
    error: string;
    warning: string;
}
export interface IColorPallet {
    brand: IBrandColors;
    semantic: ISemanticColors;
    notification: INotificationColors;
    grayscale: IGrayscaleColors;
}
export interface IAssets {
    svg: ISVGAssets;
    img: {
        logoPrimary: any;
        logoSecondary: any;
    };
}
export declare const borderRadius = 4;
export declare const heavyOpacity = 0.7;
export declare const mediumOpacity = 0.5;
export declare const lightOpacity = 0.35;
export declare const zeroOpacity = 0;
export declare const borderWidth = 2;
export declare const maxFontSizeMultiplier = 2;
export declare const ColorPallet: IColorPallet;
export declare const TextTheme: ITextTheme;
export declare const Inputs: IInputs;
export declare const Buttons: {
    critical: {
        padding: number;
        borderRadius: number;
        backgroundColor: string;
    };
    primary: {
        padding: number;
        borderRadius: number;
        backgroundColor: string;
    };
    primaryDisabled: {
        padding: number;
        borderRadius: number;
        backgroundColor: string;
    };
    primaryText: {
        color: string;
        textAlign: "center";
        fontFamily?: string;
        fontStyle?: "normal" | "italic";
        fontSize: number;
        fontWeight?: "normal" | "bold" | "100" | "200" | "300" | "400" | "500" | "600" | "700" | "800" | "900";
        lineHeight?: number;
    };
    primaryTextDisabled: {
        textAlign: "center";
        fontFamily?: string;
        fontStyle?: "normal" | "italic";
        fontSize: number;
        fontWeight?: "normal" | "bold" | "100" | "200" | "300" | "400" | "500" | "600" | "700" | "800" | "900";
        color: string;
        lineHeight?: number;
    };
    secondary: {
        padding: number;
        borderRadius: number;
        borderWidth: number;
        borderColor: string;
    };
    secondaryDisabled: {
        padding: number;
        borderRadius: number;
        borderWidth: number;
        borderColor: string;
    };
    secondaryText: {
        color: string;
        textAlign: "center";
        fontFamily?: string;
        fontStyle?: "normal" | "italic";
        fontSize: number;
        fontWeight?: "normal" | "bold" | "100" | "200" | "300" | "400" | "500" | "600" | "700" | "800" | "900";
        lineHeight?: number;
    };
    secondaryTextDisabled: {
        color: string;
        textAlign: "center";
        fontFamily?: string;
        fontStyle?: "normal" | "italic";
        fontSize: number;
        fontWeight?: "normal" | "bold" | "100" | "200" | "300" | "400" | "500" | "600" | "700" | "800" | "900";
        lineHeight?: number;
    };
    tertiary: {
        padding: number;
    };
    tertiaryDisabled: {
        padding: number;
    };
    tertiaryText: {
        color: string;
        textAlign: "center";
        fontFamily?: string;
        fontStyle?: "normal" | "italic";
        fontSize: number;
        fontWeight?: "normal" | "bold" | "100" | "200" | "300" | "400" | "500" | "600" | "700" | "800" | "900";
        lineHeight?: number;
    };
    tertiaryTextDisabled: {
        color: string;
        textAlign: "center";
        fontFamily?: string;
        fontStyle?: "normal" | "italic";
        fontSize: number;
        fontWeight?: "normal" | "bold" | "100" | "200" | "300" | "400" | "500" | "600" | "700" | "800" | "900";
        lineHeight?: number;
    };
    modalCritical: {
        padding: number;
        borderRadius: number;
        backgroundColor: string;
    };
    modalPrimary: {
        padding: number;
        borderRadius: number;
        backgroundColor: string;
    };
    modalPrimaryText: {
        textAlign: "center";
        fontFamily?: string;
        fontStyle?: "normal" | "italic";
        fontSize: number;
        fontWeight?: "normal" | "bold" | "100" | "200" | "300" | "400" | "500" | "600" | "700" | "800" | "900";
        color: string;
        lineHeight?: number;
    };
    modalSecondary: {
        padding: number;
        borderRadius: number;
        borderWidth: number;
        borderColor: string;
    };
    modalSecondaryText: {
        color: string;
        textAlign: "center";
        fontFamily?: string;
        fontStyle?: "normal" | "italic";
        fontSize: number;
        fontWeight?: "normal" | "bold" | "100" | "200" | "300" | "400" | "500" | "600" | "700" | "800" | "900";
        lineHeight?: number;
    };
    modalTertiary: {
        padding: number;
    };
    modalTertiaryText: {
        color: string;
        textAlign: "center";
        fontFamily?: string;
        fontStyle?: "normal" | "italic";
        fontSize: number;
        fontWeight?: "normal" | "bold" | "100" | "200" | "300" | "400" | "500" | "600" | "700" | "800" | "900";
        lineHeight?: number;
    };
};
export declare const ListItems: {
    credentialBackground: {
        backgroundColor: string;
    };
    credentialTitle: {
        fontFamily?: string;
        fontStyle?: "normal" | "italic";
        fontSize: number;
        fontWeight?: "normal" | "bold" | "100" | "200" | "300" | "400" | "500" | "600" | "700" | "800" | "900";
        color: string;
        lineHeight?: number;
    };
    credentialDetails: {
        fontFamily?: string;
        fontStyle?: "normal" | "italic";
        fontSize: number;
        fontWeight?: "normal" | "bold" | "100" | "200" | "300" | "400" | "500" | "600" | "700" | "800" | "900";
        color: string;
        lineHeight?: number;
    };
    credentialOfferBackground: {
        backgroundColor: string;
    };
    credentialOfferTitle: {
        fontWeight: "normal";
        fontFamily?: string;
        fontStyle?: "normal" | "italic";
        fontSize: number;
        color: string;
        lineHeight?: number;
    };
    credentialOfferDetails: {
        fontFamily?: string;
        fontStyle?: "normal" | "italic";
        fontSize: number;
        fontWeight?: "normal" | "bold" | "100" | "200" | "300" | "400" | "500" | "600" | "700" | "800" | "900";
        color: string;
        lineHeight?: number;
    };
    revoked: {
        backgroundColor: string;
        borderColor: string;
    };
    contactBackground: {
        backgroundColor: string;
    };
    credentialIconColor: {
        color: string;
    };
    contactTitle: {
        color: string;
    };
    contactDate: {
        color: string;
        marginTop: number;
    };
    contactIconBackground: {
        backgroundColor: string;
    };
    contactIcon: {
        color: string;
    };
    recordAttributeLabel: {
        fontFamily?: string;
        fontStyle?: "normal" | "italic";
        fontSize: number;
        fontWeight?: "normal" | "bold" | "100" | "200" | "300" | "400" | "500" | "600" | "700" | "800" | "900";
        color: string;
        lineHeight?: number;
    };
    recordContainer: {
        backgroundColor: string;
    };
    recordBorder: {
        borderBottomColor: string;
    };
    recordLink: {
        color: string;
    };
    recordAttributeText: {
        fontFamily?: string;
        fontStyle?: "normal" | "italic";
        fontSize: number;
        fontWeight?: "normal" | "bold" | "100" | "200" | "300" | "400" | "500" | "600" | "700" | "800" | "900";
        color: string;
        lineHeight?: number;
    };
    proofIcon: {
        fontFamily?: string;
        fontStyle?: "normal" | "italic";
        fontSize: number;
        fontWeight?: "normal" | "bold" | "100" | "200" | "300" | "400" | "500" | "600" | "700" | "800" | "900";
        color: string;
        lineHeight?: number;
    };
    proofError: {
        color: string;
    };
    avatarText: {
        fontWeight: "normal";
        fontFamily?: string;
        fontStyle?: "normal" | "italic";
        fontSize: number;
        color: string;
        lineHeight?: number;
    };
    avatarCircle: {
        borderRadius: number;
        borderColor: string;
        width: number;
        height: number;
    };
    emptyList: {
        fontFamily?: string;
        fontStyle?: "normal" | "italic";
        fontSize: number;
        fontWeight?: "normal" | "bold" | "100" | "200" | "300" | "400" | "500" | "600" | "700" | "800" | "900";
        color: string;
        lineHeight?: number;
    };
    requestTemplateBackground: {
        backgroundColor: string;
    };
    requestTemplateIconColor: {
        color: string;
    };
    requestTemplateTitle: {
        color: string;
        fontWeight: "bold";
        fontSize: number;
    };
    requestTemplateDetails: {
        color: string;
        fontWeight: "normal";
        fontSize: number;
    };
    requestTemplateZkpLabel: {
        color: string;
        fontSize: number;
    };
    requestTemplateIcon: {
        color: string;
        fontSize: number;
    };
    requestTemplateDate: {
        color: string;
        fontSize: number;
    };
};
export declare const TabTheme: {
    tabBarStyle: {
        height: number;
        backgroundColor: string;
        shadowOffset: {
            width: number;
            height: number;
        };
        shadowRadius: number;
        shadowColor: string;
        shadowOpacity: number;
        borderTopWidth: number;
        paddingBottom: number;
    };
    tabBarContainerStyle: {
        flex: number;
        justifyContent: string;
        alignItems: string;
    };
    tabBarActiveTintColor: string;
    tabBarInactiveTintColor: string;
    tabBarTextStyle: {
        paddingBottom: number;
        fontFamily?: string;
        fontStyle?: "normal" | "italic";
        fontSize: number;
        fontWeight?: "normal" | "bold" | "100" | "200" | "300" | "400" | "500" | "600" | "700" | "800" | "900";
        color: string;
        lineHeight?: number;
    };
    tabBarButtonIconStyle: {
        color: string;
    };
    focusTabIconStyle: {
        height: number;
        width: number;
        backgroundColor: string;
        borderRadius: number;
        justifyContent: string;
        alignItems: string;
    };
    focusTabActiveTintColor: {
        backgroundColor: string;
    };
};
export declare const NavigationTheme: {
    dark: boolean;
    colors: {
        primary: string;
        background: string;
        card: string;
        text: string;
        border: string;
        notification: string;
    };
};
export declare const HomeTheme: {
    welcomeHeader: {
        fontFamily?: string;
        fontStyle?: "normal" | "italic";
        fontSize: number;
        fontWeight?: "normal" | "bold" | "100" | "200" | "300" | "400" | "500" | "600" | "700" | "800" | "900";
        color: string;
        lineHeight?: number;
    };
    credentialMsg: {
        fontFamily?: string;
        fontStyle?: "normal" | "italic";
        fontSize: number;
        fontWeight?: "normal" | "bold" | "100" | "200" | "300" | "400" | "500" | "600" | "700" | "800" | "900";
        color: string;
        lineHeight?: number;
    };
    notificationsHeader: {
        fontFamily?: string;
        fontStyle?: "normal" | "italic";
        fontSize: number;
        fontWeight?: "normal" | "bold" | "100" | "200" | "300" | "400" | "500" | "600" | "700" | "800" | "900";
        color: string;
        lineHeight?: number;
    };
    noNewUpdatesText: {
        color: string;
        fontFamily?: string;
        fontStyle?: "normal" | "italic";
        fontSize: number;
        fontWeight?: "normal" | "bold" | "100" | "200" | "300" | "400" | "500" | "600" | "700" | "800" | "900";
        lineHeight?: number;
    };
    link: {
        color: string;
        fontFamily?: string;
        fontStyle?: "normal" | "italic";
        fontSize: number;
        fontWeight?: "normal" | "bold" | "100" | "200" | "300" | "400" | "500" | "600" | "700" | "800" | "900";
        lineHeight?: number;
    };
};
export declare const SettingsTheme: {
    groupHeader: {
        marginBottom: number;
        fontFamily?: string;
        fontStyle?: "normal" | "italic";
        fontSize: number;
        fontWeight?: "normal" | "bold" | "100" | "200" | "300" | "400" | "500" | "600" | "700" | "800" | "900";
        color: string;
        lineHeight?: number;
    };
    groupBackground: string;
    iconColor: string;
    text: {
        color: string;
        fontFamily?: string;
        fontStyle?: "normal" | "italic";
        fontSize: number;
        fontWeight?: "normal" | "bold" | "100" | "200" | "300" | "400" | "500" | "600" | "700" | "800" | "900";
        lineHeight?: number;
    };
};
export declare const ChatTheme: {
    containerStyle: {
        marginBottom: number;
        marginLeft: number;
        marginRight: number;
        flexDirection: string;
        alignItems: string;
        alignSelf: string;
    };
    leftBubble: {
        backgroundColor: string;
        borderRadius: number;
        padding: number;
        marginLeft: number;
    };
    rightBubble: {
        backgroundColor: string;
        borderRadius: number;
        padding: number;
        marginRight: number;
    };
    timeStyleLeft: {
        color: string;
        fontSize: number;
        marginTop: number;
    };
    timeStyleRight: {
        color: string;
        fontSize: number;
        marginTop: number;
    };
    leftText: {
        color: string;
        fontSize: number;
    };
    leftTextHighlighted: {
        color: string;
        fontFamily?: string;
        fontStyle?: "normal" | "italic";
        fontSize: number;
        fontWeight?: "normal" | "bold" | "100" | "200" | "300" | "400" | "500" | "600" | "700" | "800" | "900";
        lineHeight?: number;
    };
    rightText: {
        color: string;
        fontSize: number;
    };
    rightTextHighlighted: {
        color: string;
        fontFamily?: string;
        fontStyle?: "normal" | "italic";
        fontSize: number;
        fontWeight?: "normal" | "bold" | "100" | "200" | "300" | "400" | "500" | "600" | "700" | "800" | "900";
        lineHeight?: number;
    };
    inputToolbar: {
        backgroundColor: string;
        shadowColor: string;
        borderRadius: number;
    };
    inputText: {
        lineHeight: undefined;
        fontWeight: string;
        fontSize: number;
    };
    placeholderText: string;
    sendContainer: {
        marginBottom: number;
        paddingHorizontal: number;
        justifyContent: string;
    };
    sendEnabled: string;
    sendDisabled: string;
    options: string;
    optionsText: string;
    openButtonStyle: {
        borderRadius: number;
        backgroundColor: string;
        paddingTop: number;
        paddingBottom: number;
        paddingLeft: number;
        paddingRight: number;
        marginTop: number;
    };
    openButtonTextStyle: {
        fontSize: number;
        fontWeight: string;
        textAlign: string;
    };
    documentIconContainer: {
        backgroundColor: string;
        alignSelf: string;
        borderRadius: number;
        marginBottom: number;
        justifyContent: string;
        alignItems: string;
        width: number;
        height: number;
    };
    documentIcon: {
        color: string;
    };
};
export declare const OnboardingTheme: {
    container: {
        backgroundColor: string;
    };
    carouselContainer: {
        backgroundColor: string;
    };
    pagerDot: {
        borderColor: string;
    };
    pagerDotActive: {
        color: string;
    };
    pagerDotInactive: {
        color: string;
    };
    pagerNavigationButton: {
        color: string;
        fontWeight: string;
        fontSize: number;
    };
    headerTintColor: string;
    headerText: {
        fontFamily?: string;
        fontStyle?: "normal" | "italic";
        fontSize: number;
        fontWeight?: "normal" | "bold" | "100" | "200" | "300" | "400" | "500" | "600" | "700" | "800" | "900";
        color: string;
        lineHeight?: number;
    };
    bodyText: {
        fontFamily?: string;
        fontStyle?: "normal" | "italic";
        fontSize: number;
        fontWeight?: "normal" | "bold" | "100" | "200" | "300" | "400" | "500" | "600" | "700" | "800" | "900";
        color: string;
        lineHeight?: number;
    };
    imageDisplayOptions: {
        fill: string;
    };
};
export declare const DialogTheme: {
    modalView: {
        backgroundColor: string;
    };
    titleText: {
        color: string;
    };
    description: {
        color: string;
    };
    closeButtonIcon: {
        color: string;
    };
    carouselButtonText: {
        color: string;
    };
};
export declare const Assets: {
    svg: {
        activityIndicator: import("react").FC<SvgProps>;
        appLockout: import("react").FC<SvgProps>;
        biometrics: import("react").FC<SvgProps>;
        credentialDeclined: import("react").FC<SvgProps>;
        deleteNotification: import("react").FC<SvgProps>;
        emptyWallet: import("react").FC<SvgProps>;
        contactBook: import("react").FC<SvgProps>;
        logo: import("react").FC<SvgProps>;
        proofRequestDeclined: import("react").FC<SvgProps>;
        arrow: import("react").FC<SvgProps>;
        iconCredentialOfferDark: import("react").FC<SvgProps>;
        iconCredentialOfferLight: import("react").FC<SvgProps>;
        iconInfoRecievedDark: import("react").FC<SvgProps>;
        iconInfoRecievedLight: import("react").FC<SvgProps>;
        iconInfoSentDark: import("react").FC<SvgProps>;
        iconInfoSentLight: import("react").FC<SvgProps>;
        iconProofRequestDark: import("react").FC<SvgProps>;
        iconProofRequestLight: import("react").FC<SvgProps>;
        preface: import("react").FC<SvgProps>;
        updateAvailable: import("react").FC<SvgProps>;
        verifierRequestDeclined: import("react").FC<SvgProps>;
        noInfoShared: import("react").FC<SvgProps>;
        wallet: import("react").FC<SvgProps>;
        checkInCircle: import("react").FC<SvgProps>;
        credentialCard: import("react").FC<SvgProps>;
        walletBack: import("react").FC<SvgProps>;
        walletFront: import("react").FC<SvgProps>;
        credentialInHand: import("react").FC<SvgProps>;
        credentialList: import("react").FC<SvgProps>;
        scanShare: import("react").FC<SvgProps>;
        secureCheck: import("react").FC<SvgProps>;
        secureImage: import("react").FC<SvgProps>;
        informationReceived: import("react").FC<SvgProps>;
        pushNotificationImg: import("react").FC<SvgProps>;
        chatLoading: import("react").FC<SvgProps>;
        historyCardAcceptedIcon: import("react").FC<SvgProps>;
        historyCardDeclinedIcon: import("react").FC<SvgProps>;
        historyCardExpiredIcon: import("react").FC<SvgProps>;
        historyCardRemovedIcon: import("react").FC<SvgProps>;
        historyCardRevokedIcon: import("react").FC<SvgProps>;
        historyCardUpdatesIcon: import("react").FC<SvgProps>;
        historyPinUpdatedIcon: import("react").FC<SvgProps>;
        historyInformationSentIcon: import("react").FC<SvgProps>;
        historyInformationNotSentIcon: import("react").FC<SvgProps>;
        historyConnectionIcon: import("react").FC<SvgProps>;
        historyConnectionRemovedIcon: import("react").FC<SvgProps>;
        historyActivateBiometryIcon: import("react").FC<SvgProps>;
        historyDeactivateBiometryIcon: import("react").FC<SvgProps>;
        iconChevronRight: import("react").FC<SvgProps>;
        homeCenterImg: import("react").FC<SvgProps>;
        iconDelete: import("react").FC<SvgProps>;
        iconEdit: import("react").FC<SvgProps>;
        iconError: import("react").FC<SvgProps>;
        iconWarning: import("react").FC<SvgProps>;
        tabOneIcon: import("react").FC<SvgProps>;
        tabOneFocusedIcon: import("react").FC<SvgProps>;
        tabTwoIcon: import("react").FC<SvgProps>;
        tabThreeIcon: import("react").FC<SvgProps>;
        tabThreeFocusedIcon: import("react").FC<SvgProps>;
    };
    img: {
        logoPrimary: {
            src: any;
            aspectRatio: number;
            height: string;
            width: string;
            resizeMode: string;
        };
        logoSecondary: {
            src: any;
            aspectRatio: number;
            height: number;
            width: number;
            resizeMode: string;
        };
    };
};
export interface ITheme {
    Spacing: ISpacing;
    ColorPallet: IColorPallet;
    TextTheme: ITextTheme;
    InputInlineMessage: IInlineInputMessage;
    Inputs: IInputs;
    Buttons: any;
    ListItems: any;
    TabTheme: any;
    NavigationTheme: any;
    HomeTheme: any;
    SettingsTheme: any;
    ChatTheme: any;
    OnboardingTheme: any;
    DialogTheme: any;
    LoadingTheme: any;
    PINEnterTheme: any;
    PINInputTheme: any;
    CredentialCardShadowTheme: ViewStyle;
    SelectedCredTheme: ViewStyle;
    heavyOpacity: any;
    borderRadius: any;
    borderWidth: typeof borderWidth;
    maxFontSizeMultiplier: number;
    Assets: IAssets;
}
export declare const theme: ITheme;
//# sourceMappingURL=theme.d.ts.map